import { createAsyncThunk } from "@reduxjs/toolkit";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import axios from "axios";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const provinceGetDashboardBarDiffrenceRequest = createAsyncThunk(
  "GET_PROVINCE_BAR_DIFFRENCE_REQUEST",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      "dashboard_bar_difference_request/",
      {
        params: {
          role: getRoleFromUrl(),
          role_key: d.role_key || "",
          state: d.state,
          filter: "search",
          value: d.value,
          date1: d.date1,
          date2: d.date2,
        },
      }
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
